Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Mopath Class Reference
Inheritance diagram for Mopath:

## Public Member Functions
| __init__ (self, name=None, fluid=1, objectToLoad=None, upVectorNodePath=None, reverseUpVector=False)
| calcTime (self, tIn)
| draw (self, subdiv=1000)
| getFinalState (self)
| getMaxT (self)
| goTo (self, node, time)
| loadFile (self, filename, fReset=1)
| loadNodePath (self, nodePath, fReset=1)
| play (self, node, time=0.0, loop=0)
| reset (self)
| stop (self)
Public Member Functions inherited from DirectObject
| __init__ (self)
| accept (self, event, method, extraArgs=[])
| acceptOnce (self, event, method, extraArgs=[])
| addTask (self, *args, **kwargs)
| detectLeaks (self)
| doMethodLater (self, *args, **kwargs)
| getAllAccepting (self)
| ignore (self, event)
| ignoreAll (self)
| isAccepting (self, event)
| isIgnoring (self, event)
| removeAllTasks (self)
| removeTask (self, taskOrName)

## Public Attributes
| faceForwardDelta = None
| faceForwardNode = None
int | fFaceForward = 0
| fluid = fluid
| hprNurbsCurve = None
| hprPoint = Point3(0)
int | loop = 0
float | maxT = self.tNurbsCurve[-1].getMaxT()
| name = name
| node = None
| playbackTime = self.calcTime(CLAMP(time, 0.0, self.maxT))
| posPoint = Point3(0)
bool | reverseUpVector = reverseUpVector
| tangentVec = Vec3(0)
int | timeScale = 1
list | tNurbsCurve = []
| tPoint = Point3(0)
| upVectorNodePath = upVectorNodePath
| xyzNurbsCurve = None

## Static Public Attributes
int | nameIndex = 1
Static Public Attributes inherited from DirectObject
| accept_once = acceptOnce
| add_task = addTask
| detect_leaks = detectLeaks
| do_method_later = doMethodLater
| get_all_accepting = getAllAccepting
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_ignoring = isIgnoring
| remove_all_tasks = removeAllTasks
| remove_task = removeTask

## Additional Inherited Members
Protected Member Functions inherited from DirectObject
| _addTask (self, task)
| _clearTask (self, task)
Protected Attributes inherited from DirectObject
dict | _taskList = {}

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | name = None,
|  |  | fluid = 1,
|  |  | objectToLoad = None,
|  |  | upVectorNodePath = None,
|  |  | reverseUpVector = False )

## Member Function Documentation

## ◆ calcTime()

calcTime | ( |  | self,
|  |  | tIn )

## ◆ draw()

draw | ( |  | self,
|  |  | subdiv = 1000 )

     Draws a quick and cheesy visualization of the Mopath using
    LineSegs.  Returns the NodePath representing the drawing.

## ◆ getFinalState()

getFinalState | ( |  | self | ) |

## ◆ getMaxT()

getMaxT | ( |  | self | ) |

## ◆ goTo()

goTo | ( |  | self,
|  |  | node,
|  |  | time )

## ◆ loadFile()

loadFile | ( |  | self,
|  |  | filename,
|  |  | fReset = 1 )

## ◆ loadNodePath()

loadNodePath | ( |  | self,
|  |  | nodePath,
|  |  | fReset = 1 )

## ◆ play()

play | ( |  | self,
|  |  | node,
|  |  | time = 0.0,
|  |  | loop = 0 )

## ◆ reset()

reset | ( |  | self | ) |

## ◆ stop()

stop | ( |  | self | ) |

## Member Data Documentation

## ◆ faceForwardDelta

faceForwardDelta = None

## ◆ faceForwardNode

faceForwardNode = None

## ◆ fFaceForward

int fFaceForward = 0

## ◆ fluid

fluid = fluid

## ◆ hprNurbsCurve

hprNurbsCurve = None

## ◆ hprPoint

hprPoint = Point3(0)

## ◆ loop

loop = 0

## ◆ maxT

maxT = self.tNurbsCurve[-1].getMaxT()

## ◆ name

name = name

## ◆ nameIndex

int nameIndex = 1
| static

## ◆ node

node = None

## ◆ playbackTime

playbackTime = self.calcTime(CLAMP(time, 0.0, self.maxT))

## ◆ posPoint

posPoint = Point3(0)

## ◆ reverseUpVector

bool reverseUpVector = reverseUpVector

## ◆ tangentVec

tangentVec = Vec3(0)

## ◆ timeScale

int timeScale = 1

## ◆ tNurbsCurve

tNurbsCurve = []

## ◆ tPoint

tPoint = Point3(0)

## ◆ upVectorNodePath

upVectorNodePath = upVectorNodePath

## ◆ xyzNurbsCurve

xyzNurbsCurve = None